package com.steering.mes.zgmil.entity;

import java.io.Serializable;


/**
 * 数据库表MIL_PERFORATION_RESULT所对应的实体类（生成工具：代码生成器2.4）
 * @author ZJAY-PC   date 2015-11-18
 */
public class MilPerforationResultEntity {
    /**
     * 实绩编号
     */
    private String resultNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 辊距
     */
    private String rollerSpace;
    /**
     * 导距
     */
    private String guideSpace;
    /**
     * 前伸量
     */
    private String frontExtendingQuantity;
    /**
     * 咬入角
     */
    private String biteAngle;
    /**
     * 顶头直径
     */
    private String headDiameter;
    /**
     * 轧辊电机速度
     */
    private String rollMotorSpeed;
    /**
     * 导盘电机速度
     */
    private String guideDiscMotorSpeed;
    /**
     * 硼砂罐
     */
    private String boraxTank;
    /**
     * 硼砂压力
     */
    private String boraxPressure;
    /**
     * 硼砂量
     */
    private String amountOfBorax;
    /**
     * 毛管壁厚
     */
    private String capollaryDiameter;
    /**
     * 毛管外径
     */
    private String capollaryWallThickness;
    /**
     * 开轧温度
     */
    private String beginRollingTemp;
    /**
     * 坯子直径
     */
    private String slabDiameter;
    /**
     * 坯子长度
     */
    private String slabLength;
    /**
     * 穿孔支数
     */
    private String perforationNum;
    /**
     * 剔废支数
     */
    private String scrapNum;
    /**
     * 剔废原因
     */
    private String scrapReason;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 结炉标识
     */
    private String nodeFurFlag;
    /**
     * 监制人
     */
    private String executiveProducer;
    /**
     * 监制时间
     */
    private String producerTime;
    /**
     * 监制人电话
     */
    private String producerTel;
    /**
     * 备注
     */
    private String remark;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    /**
     * 交接班支数
     */
    private String jzbNum;
    /**
     * 开扎温度
     */
    private String kzTemp;
    /**
     * 导板规格
     */
    private String dpGg;
    /**
     * 导盘位置
     */
    private String guideDiscMotorLoca;
    /**
     * 导板位置上
     */
    private String dbLoca;
    /**
     * 导板位置上
     */
    private String dbLocaDown;
    public String getDbLocaDown() {
		return dbLocaDown;
	}

	public void setDbLocaDown(String dbLocaDown) {
		this.dbLocaDown = dbLocaDown;
	}

	/**
     * 轧辊转速升降比
     */
    private String rollMotorSjb;
    /**
     * 轧辊直径
     */
    private String zgZj;
    /**
     * 顶头代码
     */
    private String dtCode;
    /**
     * 轧辊位置上
     */
    private String zgLocaUp;
    /**
     * 轧辊位置下
     */
    private String zgLocaDown;
    /**
     * 毛管规格
     */
    private String capillarySize;
    
    /**
     * userId
     */
    private String userId;
    
    /**
     * 合格吨
     */
    private String qaTon;

    public String getQaTon() {
		return qaTon;
	}

	public void setQaTon(String qaTon) {
		this.qaTon = qaTon;
	}
	/**
     * 轧管订单编号
     */
    private String proPlanId;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;

	public MilPerforationResultEntity(){
		proPlanId = "";
		gxPlanNo = "";
		dbLocaDown = "";
		userId = "";
        resultNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        plineCode = "";
        rollerSpace = "";
        guideSpace = "";
        frontExtendingQuantity = "";
        biteAngle = "";
        headDiameter = "";
        rollMotorSpeed = "";
        guideDiscMotorSpeed = "";
        boraxTank = "";
        boraxPressure = "";
        amountOfBorax = "";
        capollaryDiameter = "";
        capollaryWallThickness = "";
        beginRollingTemp = "";
        slabDiameter = "";
        slabLength = "";
        perforationNum = "";
        scrapNum = "";
        scrapReason = "";
        startTime = "";
        endTime = "";
        nodeFurFlag = "";
        executiveProducer = "";
        producerTime = "";
        producerTel = "";
        remark = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        jzbNum = "";
        kzTemp = "";
        dpGg = "";
        guideDiscMotorLoca = "";
        dbLoca = "";
        rollMotorSjb = "";
        zgZj = "";
        dtCode = "";
        zgLocaUp = "";
        zgLocaDown = "";
        capillarySize = "";
        qaTon = "";
    }

    public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	/**
     * 实绩编号
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 辊距
     * @return value
     */
    public String getRollerSpace() {
        return rollerSpace;
    }

    /**
     * 辊距
     * @param rollerSpace value
     */
    public void setRollerSpace(String rollerSpace) {
        this.rollerSpace = rollerSpace;
    }

    /**
     * 导距
     * @return value
     */
    public String getGuideSpace() {
        return guideSpace;
    }

    /**
     * 导距
     * @param guideSpace value
     */
    public void setGuideSpace(String guideSpace) {
        this.guideSpace = guideSpace;
    }

    /**
     * 前伸量
     * @return value
     */
    public String getFrontExtendingQuantity() {
        return frontExtendingQuantity;
    }

    /**
     * 前伸量
     * @param frontExtendingQuantity value
     */
    public void setFrontExtendingQuantity(String frontExtendingQuantity) {
        this.frontExtendingQuantity = frontExtendingQuantity;
    }

    /**
     * 咬入角
     * @return value
     */
    public String getBiteAngle() {
        return biteAngle;
    }

    /**
     * 咬入角
     * @param biteAngle value
     */
    public void setBiteAngle(String biteAngle) {
        this.biteAngle = biteAngle;
    }

    /**
     * 顶头直径
     * @return value
     */
    public String getHeadDiameter() {
        return headDiameter;
    }

    /**
     * 顶头直径
     * @param headDiameter value
     */
    public void setHeadDiameter(String headDiameter) {
        this.headDiameter = headDiameter;
    }

    /**
     * 轧辊电机速度
     * @return value
     */
    public String getRollMotorSpeed() {
        return rollMotorSpeed;
    }

    /**
     * 轧辊电机速度
     * @param rollMotorSpeed value
     */
    public void setRollMotorSpeed(String rollMotorSpeed) {
        this.rollMotorSpeed = rollMotorSpeed;
    }

    /**
     * 导盘电机速度
     * @return value
     */
    public String getGuideDiscMotorSpeed() {
        return guideDiscMotorSpeed;
    }

    /**
     * 导盘电机速度
     * @param guideDiscMotorSpeed value
     */
    public void setGuideDiscMotorSpeed(String guideDiscMotorSpeed) {
        this.guideDiscMotorSpeed = guideDiscMotorSpeed;
    }

    /**
     * 硼砂罐
     * @return value
     */
    public String getBoraxTank() {
        return boraxTank;
    }

    /**
     * 硼砂罐
     * @param boraxTank value
     */
    public void setBoraxTank(String boraxTank) {
        this.boraxTank = boraxTank;
    }

    /**
     * 硼砂压力
     * @return value
     */
    public String getBoraxPressure() {
        return boraxPressure;
    }

    /**
     * 硼砂压力
     * @param boraxPressure value
     */
    public void setBoraxPressure(String boraxPressure) {
        this.boraxPressure = boraxPressure;
    }

    /**
     * 硼砂量
     * @return value
     */
    public String getAmountOfBorax() {
        return amountOfBorax;
    }

    /**
     * 硼砂量
     * @param amountOfBorax value
     */
    public void setAmountOfBorax(String amountOfBorax) {
        this.amountOfBorax = amountOfBorax;
    }

    /**
     * 毛管壁厚
     * @return value
     */
    public String getCapollaryDiameter() {
        return capollaryDiameter;
    }

    /**
     * 毛管壁厚
     * @param capollaryDiameter value
     */
    public void setCapollaryDiameter(String capollaryDiameter) {
        this.capollaryDiameter = capollaryDiameter;
    }

    /**
     * 毛管外径
     * @return value
     */
    public String getCapollaryWallThickness() {
        return capollaryWallThickness;
    }

    /**
     * 毛管外径
     * @param capollaryWallThickness value
     */
    public void setCapollaryWallThickness(String capollaryWallThickness) {
        this.capollaryWallThickness = capollaryWallThickness;
    }

    /**
     * 开轧温度
     * @return value
     */
    public String getBeginRollingTemp() {
        return beginRollingTemp;
    }

    /**
     * 开轧温度
     * @param beginRollingTemp value
     */
    public void setBeginRollingTemp(String beginRollingTemp) {
        this.beginRollingTemp = beginRollingTemp;
    }

    /**
     * 坯子直径
     * @return value
     */
    public String getSlabDiameter() {
        return slabDiameter;
    }

    /**
     * 坯子直径
     * @param slabDiameter value
     */
    public void setSlabDiameter(String slabDiameter) {
        this.slabDiameter = slabDiameter;
    }

    /**
     * 坯子长度
     * @return value
     */
    public String getSlabLength() {
        return slabLength;
    }

    /**
     * 坯子长度
     * @param slabLength value
     */
    public void setSlabLength(String slabLength) {
        this.slabLength = slabLength;
    }

    /**
     * 穿孔支数
     * @return value
     */
    public String getPerforationNum() {
        return perforationNum;
    }

    /**
     * 穿孔支数
     * @param perforationNum value
     */
    public void setPerforationNum(String perforationNum) {
        this.perforationNum = perforationNum;
    }

    /**
     * 剔废支数
     * @return value
     */
    public String getScrapNum() {
        return scrapNum;
    }

    /**
     * 剔废支数
     * @param scrapNum value
     */
    public void setScrapNum(String scrapNum) {
        this.scrapNum = scrapNum;
    }

    /**
     * 剔废原因
     * @return value
     */
    public String getScrapReason() {
        return scrapReason;
    }

    /**
     * 剔废原因
     * @param scrapReason value
     */
    public void setScrapReason(String scrapReason) {
        this.scrapReason = scrapReason;
    }

    /**
     * 开始时间
     * @return value
     */
    public String getStartTime() {
        return startTime;
    }

    /**
     * 开始时间
     * @param startTime value
     */
    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    /**
     * 结束时间
     * @return value
     */
    public String getEndTime() {
        return endTime;
    }

    /**
     * 结束时间
     * @param endTime value
     */
    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    /**
     * 结炉标识
     * @return value
     */
    public String getNodeFurFlag() {
        return nodeFurFlag;
    }

    /**
     * 结炉标识
     * @param nodeFurFlag value
     */
    public void setNodeFurFlag(String nodeFurFlag) {
        this.nodeFurFlag = nodeFurFlag;
    }

    /**
     * 监制人
     * @return value
     */
    public String getExecutiveProducer() {
        return executiveProducer;
    }

    /**
     * 监制人
     * @param executiveProducer value
     */
    public void setExecutiveProducer(String executiveProducer) {
        this.executiveProducer = executiveProducer;
    }

    /**
     * 监制时间
     * @return value
     */
    public String getProducerTime() {
        return producerTime;
    }

    /**
     * 监制时间
     * @param producerTime value
     */
    public void setProducerTime(String producerTime) {
        this.producerTime = producerTime;
    }

    /**
     * 监制人电话
     * @return value
     */
    public String getProducerTel() {
        return producerTel;
    }

    /**
     * 监制人电话
     * @param producerTel value
     */
    public void setProducerTel(String producerTel) {
        this.producerTel = producerTel;
    }

    /**
     * 备注
     * @return value
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark value
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }

    /**
     * 交接班支数
     * @return value
     */
    public String getJzbNum() {
        return jzbNum;
    }

    /**
     * 交接班支数
     * @param jzbNum value
     */
    public void setJzbNum(String jzbNum) {
        this.jzbNum = jzbNum;
    }

    /**
     * 开扎温度
     * @return value
     */
    public String getKzTemp() {
        return kzTemp;
    }

    /**
     * 开扎温度
     * @param kzTemp value
     */
    public void setKzTemp(String kzTemp) {
        this.kzTemp = kzTemp;
    }

    /**
     * 导板规格
     * @return value
     */
    public String getDpGg() {
        return dpGg;
    }

    /**
     * 导板规格
     * @param dpGg value
     */
    public void setDpGg(String dpGg) {
        this.dpGg = dpGg;
    }

    /**
     * 导盘位置
     * @return value
     */
    public String getGuideDiscMotorLoca() {
        return guideDiscMotorLoca;
    }

    /**
     * 导盘位置
     * @param guideDiscMotorLoca value
     */
    public void setGuideDiscMotorLoca(String guideDiscMotorLoca) {
        this.guideDiscMotorLoca = guideDiscMotorLoca;
    }

    /**
     * 导板位置
     * @return value
     */
    public String getDbLoca() {
        return dbLoca;
    }

    /**
     * 导板位置
     * @param dbLoca value
     */
    public void setDbLoca(String dbLoca) {
        this.dbLoca = dbLoca;
    }

    /**
     * 轧辊转速升降比
     * @return value
     */
    public String getRollMotorSjb() {
        return rollMotorSjb;
    }

    /**
     * 轧辊转速升降比
     * @param rollMotorSjb value
     */
    public void setRollMotorSjb(String rollMotorSjb) {
        this.rollMotorSjb = rollMotorSjb;
    }

    /**
     * 轧辊直径
     * @return value
     */
    public String getZgZj() {
        return zgZj;
    }

    /**
     * 轧辊直径
     * @param zgZj value
     */
    public void setZgZj(String zgZj) {
        this.zgZj = zgZj;
    }

    /**
     * 顶头代码
     * @return value
     */
    public String getDtCode() {
        return dtCode;
    }

    /**
     * 顶头代码
     * @param dtCode value
     */
    public void setDtCode(String dtCode) {
        this.dtCode = dtCode;
    }

    /**
     * 轧辊位置上
     * @return value
     */
    public String getZgLocaUp() {
        return zgLocaUp;
    }

    /**
     * 轧辊位置上
     * @param zgLocaUp value
     */
    public void setZgLocaUp(String zgLocaUp) {
        this.zgLocaUp = zgLocaUp;
    }

    /**
     * 轧辊位置下
     * @return value
     */
    public String getZgLocaDown() {
        return zgLocaDown;
    }

    /**
     * 轧辊位置下
     * @param zgLocaDown value
     */
    public void setZgLocaDown(String zgLocaDown) {
        this.zgLocaDown = zgLocaDown;
    }

    /**
     * 毛管规格
     * @return value
     */
    public String getCapillarySize() {
        return capillarySize;
    }

    /**
     * 毛管规格
     * @param capillarySize value
     */
    public void setCapillarySize(String capillarySize) {
        this.capillarySize = capillarySize;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

}